/*********************************************************************
** AreaBuilder is a program designed to build maps for MUDS like    **
** Anatolia.                                                        **
** Copyright (C) 2003 Pierre Chatelier                              **
**                                                                  **
** This program is free software; you can redistribute              **
** it and/or modify it under the terms of the GNU                   **
** General Public License as published by the                       **
** Free Software Foundation, version 2.                             **
**                                                                  **
** This program is distributed in the hope that it will be          **
** useful, but WITHOUT ANY WARRANTY; without even the implied       **
** warranty of MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE. **
** See the GNU General Public License for more details.             **
**                                                                  **
** You should have received a copy of the                           **
** GNU General Public License along with this program; if not,      **
** write to the Free Software Foundation,                           **
** Inc., 59 Temple Place, Suite 330, Boston, MA 02111-1307 USA      **
*********************************************************************/
package areabuilder;

import java.io.*;
import java.util.*; //pour StringTokenizer

public class AnatoliaAreaHeaderReader extends AnatoliaAreReader
{
  public AnatoliaAreaHeaderReader(AreaMap areaMap)
  {
    super(areaMap);
  }

  public void read(BufferedReader input) throws IOException
  {
     //reads file name
     String line = super.trim(input);

     //reads areaName
     line = super.trim(input);
     line = line.substring(0,Math.max(0,line.length()-1));
     areaMap.areaName = new String(line);

     //{lvl min lvl max} author name
     line = super.trim(input);
     StringTokenizer tokens = new StringTokenizer(line," \t\n\r\f{}~");
     areaMap.minLevel = MyInteger.parseInt(tokens.nextToken());
     areaMap.maxLevel = MyInteger.parseInt(tokens.nextToken());
     areaMap.author = tokens.nextToken();

     //vnum min vnum max
     line = super.trim(input);
     tokens = new StringTokenizer(line);
     int vnum = MyInteger.parseInt(tokens.nextToken());
     areaMap.areaNumber = vnum/1000;
  }
}