/*********************************************************************
** AreaBuilder is a program designed to build maps for MUDS like    **
** Anatolia.                                                        **
** Copyright (C) 2003 Pierre Chatelier                              **
**                                                                  **
** This program is free software; you can redistribute              **
** it and/or modify it under the terms of the GNU                   **
** General Public License as published by the                       **
** Free Software Foundation, version 2.                             **
**                                                                  **
** This program is distributed in the hope that it will be          **
** useful, but WITHOUT ANY WARRANTY; without even the implied       **
** warranty of MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE. **
** See the GNU General Public License for more details.             **
**                                                                  **
** You should have received a copy of the                           **
** GNU General Public License along with this program; if not,      **
** write to the Free Software Foundation,                           **
** Inc., 59 Temple Place, Suite 330, Boston, MA 02111-1307 USA      **
*********************************************************************/
package areabuilder;

import java.awt.*;
import java.util.Locale;
import javax.swing.UIManager;
import javax.swing.*;
import com.apple.eawt.*;

public class AreaBuilder extends Application implements ApplicationListener
{
  MainScreen frame = null;

  public AreaBuilder()
  {
    //creates the frame
    frame = new MainScreen("Area Builder - ");

    this.addApplicationListener(this);

    //sets the locale parameter
    //String language = Locale.getDefault().getLanguage();
    //String country = Locale.getDefault().getCountry();
    //frame.setLocale(new Locale(language,country));

    //builds the frame appearance
    Dimension screenSize = Toolkit.getDefaultToolkit().getScreenSize();
    frame.setSize(screenSize.width,screenSize.height-60);
    frame.setResizable(true);
    frame.setVisible(true);
  }

  //ApplicationListener
  public void handleAbout(ApplicationEvent e)  {frame.showAboutBox();}

  public void handlePreferences(ApplicationEvent e) {}
  public void handleOpenApplication(ApplicationEvent e) {}
  public void handleOpenDocument(ApplicationEvent e) {}
  public void handlePrintDocument(ApplicationEvent e) {}
  public void handleQuit(ApplicationEvent e) {frame.quitProgram();}

  public static void main(String[] args)
  {
    //some apple options
    String os = System.getProperty("os.name").toLowerCase();
    if (os.indexOf("mac") >= 0)
    {
      System.setProperty("com.apple.mrj.application.apple.menu.about.name","AreaBuilder");
      System.setProperty("apple.laf.useScreenMenuBar","true");
      System.setProperty("apple.awt.showGrowBox","true");
      System.setProperty("com.apple.macos.use-file-dialog-packages","true");
      System.setProperty("javax.swing.JFileChooser.packageIsTraversable","never");
      System.setProperty("javax.swing.JFileChooser.appBundleIsTraversable","never");
    }

    AnatoliaConsts anatoliaConsts = new AnatoliaConsts();
    AreaBuilder program = new AreaBuilder();
  }
}