/*********************************************************************
** AreaBuilder is a program designed to build maps for MUDS like    **
** Anatolia.                                                        **
** Copyright (C) 2003 Pierre Chatelier                              **
**                                                                  **
** This program is free software; you can redistribute              **
** it and/or modify it under the terms of the GNU                   **
** General Public License as published by the                       **
** Free Software Foundation, version 2.                             **
**                                                                  **
** This program is distributed in the hope that it will be          **
** useful, but WITHOUT ANY WARRANTY; without even the implied       **
** warranty of MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE. **
** See the GNU General Public License for more details.             **
**                                                                  **
** You should have received a copy of the                           **
** GNU General Public License along with this program; if not,      **
** write to the Free Software Foundation,                           **
** Inc., 59 Temple Place, Suite 330, Boston, MA 02111-1307 USA      **
*********************************************************************/
package areabuilder;

import javax.swing.tree.*;
import java.io.*; //for archivation

public class InstanceOfObject extends AbstractInstance
{
  AnatoliaObject anatoliaObject = null;
  long anatoliaObjectID = 0;

  int equipLocation = -1; //if this object is a mobile equipment,
                          //0 for inventory, or a AnatoliaConsts.wearTexts[]

  public InstanceOfObject(AnatoliaObject anatoliaObject, int equipLocation)
  {
     super();
     this.anatoliaObject = anatoliaObject;
     this.equipLocation = equipLocation;
     this.anatoliaObjectID = 0;
  }

  public Object clone()
  {
    return new InstanceOfObject(anatoliaObject, equipLocation);
  }


  public byte getType() {return AreaBuilderConsts.INSTANCE_TYPE_OBJECT;}

  public String toString()
  {
     if (anatoliaObject != null)
       return anatoliaObject.toString();
     else
       return "";
  }

  public void writeObject(ObjectOutputStream output) throws IOException
  {
     super.writeObject(output);
     output.writeLong(this.anatoliaObject.getObjectID());
     output.writeInt(equipLocation);
  }

  public void readObject(ObjectInputStream input) throws IOException, ClassNotFoundException
  {
     super.readObject(input);
     this.anatoliaObjectID = input.readLong();
     equipLocation = input.readInt();
  }

  public void establishLinks()
  {
    super.establishLinks();
    anatoliaObject = (AnatoliaObject) LinkingAndSelectableNodeObject.lookForObjectOfID(this.anatoliaObjectID);
  }
}