/*********************************************************************
** AreaBuilder is a program designed to build maps for MUDS like    **
** Anatolia.                                                        **
** Copyright (C) 2003 Pierre Chatelier                              **
**                                                                  **
** This program is free software; you can redistribute              **
** it and/or modify it under the terms of the GNU                   **
** General Public License as published by the                       **
** Free Software Foundation, version 2.                             **
**                                                                  **
** This program is distributed in the hope that it will be          **
** useful, but WITHOUT ANY WARRANTY; without even the implied       **
** warranty of MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE. **
** See the GNU General Public License for more details.             **
**                                                                  **
** You should have received a copy of the                           **
** GNU General Public License along with this program; if not,      **
** write to the Free Software Foundation,                           **
** Inc., 59 Temple Place, Suite 330, Boston, MA 02111-1307 USA      **
*********************************************************************/
package areabuilder;

import java.util.*; //for LinkedList
import java.io.*; //for Archivation

public class MobileCollection extends AnatoliaCollection
{
  public MobileCollection(AreaMap areaMap)
  {
     super(areaMap);
  }

  public void buildMobileDescriptions(FileWriter output) throws IOException
  {
      Iterator it = super.collection.iterator();
      while(it.hasNext())
      {
         ((AnatoliaMobile) it.next()).writeDescription(output);
      }
  }
  public void buildMobileResets(FileWriter output) throws IOException
  {
      Iterator it = super.collection.iterator();
      while(it.hasNext())
      {
         ((AnatoliaMobile) it.next()).writeReset(output);
      }
  }
  public void buildMobileShops(FileWriter output) throws IOException
  {
      Iterator it = super.collection.iterator();
      while(it.hasNext())
      {
         ((AnatoliaMobile) it.next()).writeShops(output);
      }
  }
  public void buildMobileSpecials(FileWriter output) throws IOException
  {
      Iterator it = super.collection.iterator();
      while(it.hasNext())
      {
         ((AnatoliaMobile) it.next()).writeSpecial(output);
      }
  }

  public void buildMobileProgs(FileWriter output) throws IOException
  {
      Iterator it = super.collection.iterator();
      while(it.hasNext())
      {
         ((AnatoliaMobile) it.next()).writeProg(output);
      }
  }

  public void buildMobilePracticer(FileWriter output) throws IOException
  {
      Iterator it = super.collection.iterator();
      while(it.hasNext())
      {
         ((AnatoliaMobile) it.next()).writePracticer(output);
      }
  }


  public void writeObject(ObjectOutputStream output) throws IOException
  {
      super.writeObject(output);
      output.writeInt(super.collection.size());
      Iterator it = super.collection.iterator();
      while(it.hasNext())
      {
         ((AnatoliaMobile) it.next()).writeObject(output);
      }
  }

   public void readObject(ObjectInputStream input) throws IOException, ClassNotFoundException
   {
      this.clear();

      super.readObject(input);
      int sizeOfMobileList = input.readInt();
      AnatoliaMobile mobile = null;
      for(int i=0; i<sizeOfMobileList; ++i)
      {
         mobile = new AnatoliaMobile(this);
         mobile.readObject(input);
         add(mobile);
      }
   }
}