/*********************************************************************
** AreaBuilder is a program designed to build maps for MUDS like    **
** Anatolia.                                                        **
** Copyright (C) 2003 Pierre Chatelier                              **
**                                                                  **
** This program is free software; you can redistribute              **
** it and/or modify it under the terms of the GNU                   **
** General Public License as published by the                       **
** Free Software Foundation, version 2.                             **
**                                                                  **
** This program is distributed in the hope that it will be          **
** useful, but WITHOUT ANY WARRANTY; without even the implied       **
** warranty of MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE. **
** See the GNU General Public License for more details.             **
**                                                                  **
** You should have received a copy of the                           **
** GNU General Public License along with this program; if not,      **
** write to the Free Software Foundation,                           **
** Inc., 59 Temple Place, Suite 330, Boston, MA 02111-1307 USA      **
*********************************************************************/
package areabuilder;

public class Pair
{

  protected Object o1;
  protected Object o2;

  public Pair()
  {
     this.o1 = this.o2 = null;
  }
  public Pair(Object o1, Object o2)
  {
     this.o1 = o1;
     this.o2 = o2;
  }

  public boolean equals(Pair otherPair)
  {
     if (otherPair == null) return false;
     return (o1.equals(otherPair.o1) && (o2.equals(otherPair.o2)));
  }

  public Object clone()
  {
     return new Pair(o1,o2);
  }

  public Object getFirst()  {return o1;}
  public Object getSecond() {return o2;}

  public void setFirst(Object o)  {o1=o;}
  public void setSecond(Object o) {o2=o;}
}