/*********************************************************************
** AreaBuilder is a program designed to build maps for MUDS like    **
** Anatolia.                                                        **
** Copyright (C) 2003 Pierre Chatelier                              **
**                                                                  **
** This program is free software; you can redistribute              **
** it and/or modify it under the terms of the GNU                   **
** General Public License as published by the                       **
** Free Software Foundation, version 2.                             **
**                                                                  **
** This program is distributed in the hope that it will be          **
** useful, but WITHOUT ANY WARRANTY; without even the implied       **
** warranty of MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE. **
** See the GNU General Public License for more details.             **
**                                                                  **
** You should have received a copy of the                           **
** GNU General Public License along with this program; if not,      **
** write to the Free Software Foundation,                           **
** Inc., 59 Temple Place, Suite 330, Boston, MA 02111-1307 USA      **
*********************************************************************/
package areabuilder;

import java.util.*;

public class UndoableActionAreaMapRoomClone extends UndoableActionAreaMapRoom
{
   protected Room clonedRoom = null;

   public UndoableActionAreaMapRoomClone(AreaMap areaMap, Room room, boolean automatic)
   {
      super(areaMap, room, automatic);
   }
   public UndoableActionAreaMapRoomClone(AreaMap areaMap, Room room)
   {
      super(areaMap, room);
   }

   public Room getClonedRoom() {return clonedRoom;}

   public void doAction()
   {
      clonedRoom = room.pseudoClone();
      this.actionStack.doAction(new UndoableActionAreaMapRoomAdd(areaMap, clonedRoom, UndoableAction.AUTOMATIC_ACTION));
      areaMap.roomDragged = clonedRoom;
   }

   public void undoAction()
   {
       this.actionStack.undoAllAction();
   }

   public void redoAction()
   {
      this.actionStack.doAction(new UndoableActionAreaMapRoomAdd(areaMap, clonedRoom, UndoableAction.AUTOMATIC_ACTION));
   }

}