/*********************************************************************
** AreaBuilder is a program designed to build maps for MUDS like    **
** Anatolia.                                                        **
** Copyright (C) 2003 Pierre Chatelier                              **
**                                                                  **
** This program is free software; you can redistribute              **
** it and/or modify it under the terms of the GNU                   **
** General Public License as published by the                       **
** Free Software Foundation, version 2.                             **
**                                                                  **
** This program is distributed in the hope that it will be          **
** useful, but WITHOUT ANY WARRANTY; without even the implied       **
** warranty of MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE. **
** See the GNU General Public License for more details.             **
**                                                                  **
** You should have received a copy of the                           **
** GNU General Public License along with this program; if not,      **
** write to the Free Software Foundation,                           **
** Inc., 59 Temple Place, Suite 330, Boston, MA 02111-1307 USA      **
*********************************************************************/
package areabuilder;

import java.util.*;

public class UndoableActionAreaMapRoomMove extends UndoableActionAreaMapRoom
{
   private int oldXOnScreen;
   private int oldYOnScreen;
   private int xOnScreen;
   private int yOnScreen;

   public UndoableActionAreaMapRoomMove(AreaMap areaMap, Room room, boolean automatic)
   {
      super(areaMap, room, automatic);
      oldXOnScreen = room.getXOnScreen();
      oldYOnScreen = room.getYOnScreen();
      xOnScreen = room.getCandidateXOnScreen();
      yOnScreen = room.getCandidateYOnScreen();
   }
   public UndoableActionAreaMapRoomMove(AreaMap areaMap, Room room)
   {
      super(areaMap, room);
      oldXOnScreen = room.getXOnScreen();
      oldYOnScreen = room.getYOnScreen();
      xOnScreen = room.getCandidateXOnScreen();
      yOnScreen = room.getCandidateYOnScreen();
   }

   public void doAction()
   {
      room.setPositionOnScreen(xOnScreen, yOnScreen);
   }

   public void undoAction()
   {
      room.setPositionOnScreen(oldXOnScreen, oldYOnScreen);
   }

   public void redoAction()
   {
      room.setPositionOnScreen(xOnScreen, yOnScreen);
   }
}