/*********************************************************************
** AreaBuilder is a program designed to build maps for MUDS like    **
** Anatolia.                                                        **
** Copyright (C) 2003 Pierre Chatelier                              **
**                                                                  **
** This program is free software; you can redistribute              **
** it and/or modify it under the terms of the GNU                   **
** General Public License as published by the                       **
** Free Software Foundation, version 2.                             **
**                                                                  **
** This program is distributed in the hope that it will be          **
** useful, but WITHOUT ANY WARRANTY; without even the implied       **
** warranty of MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE. **
** See the GNU General Public License for more details.             **
**                                                                  **
** You should have received a copy of the                           **
** GNU General Public License along with this program; if not,      **
** write to the Free Software Foundation,                           **
** Inc., 59 Temple Place, Suite 330, Boston, MA 02111-1307 USA      **
*********************************************************************/
package areabuilder;

public class UndoableActionObjectTreeObjectRemove extends UndoableActionObjectTree
{
  AnatoliaObject object = null;

  public UndoableActionObjectTreeObjectRemove(ObjectTree objectTree, AnatoliaObject object, boolean automatic)
  {
    super(objectTree, automatic);
    this.object = object;
  }
  public UndoableActionObjectTreeObjectRemove(ObjectTree objectTree, AnatoliaObject object)
  {
    super(objectTree);
    this.object = object;
  }

  public void doAction()
  {
     object.myCollection.remove(object);
  }

  public void undoAction()
  {
    object.myCollection.add(object);
  }

  public void redoAction()
  {
     doAction();
  }
}